--- old/usr/src/cmd/sgs/elfdump/common/gen_struct_layout.c	2014-05-02 17:45:50.059189283 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/gen_struct_layout.c	2014-05-02 17:45:50.072876447 -0400
@@ -23,8 +23,6 @@
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 
 #include <stdlib.h>
 #include <stddef.h>
@@ -556,6 +554,29 @@
 	END;
 }
 
+static void
+gen_prfdinfo(void)
+{
+	START(prfdinfo, prfdinfo_t);
+
+	SCALAR_FIELD(prfdinfo_t,	pr_fd,		0);
+	SCALAR_FIELD(prfdinfo_t,	pr_mode,	0);
+	SCALAR_FIELD(prfdinfo_t,	pr_uid,		0);
+	SCALAR_FIELD(prfdinfo_t,	pr_gid,		0);
+	SCALAR_FIELD(prfdinfo_t,	pr_major,	0);
+	SCALAR_FIELD(prfdinfo_t,	pr_minor,	0);
+	SCALAR_FIELD(prfdinfo_t,	pr_rmajor,	0);
+	SCALAR_FIELD(prfdinfo_t,	pr_rminor,	0);
+	SCALAR_FIELD(prfdinfo_t,	pr_ino,		0);
+	SCALAR_FIELD(prfdinfo_t,	pr_offset,	0);
+	SCALAR_FIELD(prfdinfo_t,	pr_size,	0);
+	SCALAR_FIELD(prfdinfo_t,	pr_fileflags,	0);
+	SCALAR_FIELD(prfdinfo_t,	pr_fdflags,	0);
+	ARRAY_FIELD(prfdinfo_t,		pr_path,	0);
+
+	END;
+}
+
 
 /*ARGSUSED*/
 int
@@ -584,6 +605,7 @@
 	gen_sysset();
 	gen_timestruc();
 	gen_utsname();
+	gen_prfdinfo();
 
 
 	/*
@@ -611,6 +633,7 @@
 	(void) printf(fmt, "sysset");
 	(void) printf(fmt, "timestruc");
 	(void) printf(fmt, "utsname");
+	(void) printf(fmt, "prfdinfo");
 	(void) printf("};\n");
 
 	/*
--- old/usr/src/cmd/sgs/elfdump/common/struct_layout_amd64.c	2014-05-02 17:45:50.510713642 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/struct_layout_amd64.c	2014-05-02 17:45:50.524022550 -0400
@@ -371,12 +371,14 @@
 	{ 32,	8,	0,	0 },		/* pr_ino */
 	{ 40,	8,	0,	0 },		/* pr_offset */
 	{ 48,	8,	0,	0 },		/* pr_size */
-	{ 56,	4,	0,	0 },		/* pr_filefags */
+	{ 56,	4,	0,	0 },		/* pr_fileflags */
 	{ 60,	4,	0,	0 },		/* pr_fdflags */
-	{ 64,	1,	1024,	0 },		/* pr_path */
+	{ 64,	1,	1024,	0 },		/* pr_path[] */
 };
 
 
+
+
 static const sl_arch_layout_t layout_amd64 = {
 	&auxv_layout,
 	&fltset_layout,
--- old/usr/src/cmd/sgs/elfdump/common/struct_layout_i386.c	2014-05-02 17:45:50.943653780 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/struct_layout_i386.c	2014-05-02 17:45:50.956795375 -0400
@@ -30,6 +30,7 @@
 #include <struct_layout.h>
 
 
+
 static const sl_auxv_layout_t auxv_layout = {
 	{ 0,	8,	0,	0 },		/* sizeof (auxv_t) */
 	{ 0,	4,	0,	1 },		/* a_type */
@@ -359,24 +360,26 @@
 
 
 static const sl_prfdinfo_layout_t prfdinfo_layout = {
-	{ 0,	1088,	0,	0 },	/* sizeof (prfdinfo_t) */
-	{ 0,	4,	0,	0 },	/* pr_fd */
-	{ 4,	4,	0,	0 },	/* pr_mode */
-	{ 8,	4,	0,	0 },	/* pr_uid */
-	{ 12,	4,	0,	0 },	/* pr_gid */
-	{ 16,	4,	0,	0 },	/* pr_major */
-	{ 20,	4,	0,	0 },	/* pr_minor */
-	{ 24,	4,	0,	0 },	/* pr_rmajor */
-	{ 28,	4,	0,	0 },	/* pr_rminor */
-	{ 32,	8,	0,	0 },	/* pr_ino */
-	{ 40,	8,	0,	0 },	/* pr_offset */
-	{ 48,	8,	0,	0 },	/* pr_size */
-	{ 56,	4,	0,	0 },	/* pr_filefags */
-	{ 60,	4,	0,	0 },	/* pr_fdflags */
-	{ 64,	1,	1024,	0 },	/* pr_path */
+	{ 0,	1088,	0,	0 },		/* sizeof (prfdinfo_t) */
+	{ 0,	4,	0,	0 },		/* pr_fd */
+	{ 4,	4,	0,	0 },		/* pr_mode */
+	{ 8,	4,	0,	0 },		/* pr_uid */
+	{ 12,	4,	0,	0 },		/* pr_gid */
+	{ 16,	4,	0,	0 },		/* pr_major */
+	{ 20,	4,	0,	0 },		/* pr_minor */
+	{ 24,	4,	0,	0 },		/* pr_rmajor */
+	{ 28,	4,	0,	0 },		/* pr_rminor */
+	{ 32,	8,	0,	0 },		/* pr_ino */
+	{ 40,	8,	0,	0 },		/* pr_offset */
+	{ 48,	8,	0,	0 },		/* pr_size */
+	{ 56,	4,	0,	0 },		/* pr_fileflags */
+	{ 60,	4,	0,	0 },		/* pr_fdflags */
+	{ 64,	1,	1024,	0 },		/* pr_path[] */
 };
 
 
+
+
 static const sl_arch_layout_t layout_i386 = {
 	&auxv_layout,
 	&fltset_layout,
--- old/usr/src/cmd/sgs/elfdump/common/struct_layout_sparc.c	2014-05-02 17:45:51.381397640 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/struct_layout_sparc.c	2014-05-02 17:45:51.394634644 -0400
@@ -370,9 +370,9 @@
 	{ 32,	8,	0,	0 },		/* pr_ino */
 	{ 40,	8,	0,	0 },		/* pr_offset */
 	{ 48,	8,	0,	0 },		/* pr_size */
-	{ 56,	4,	0,	0 },		/* pr_filefags */
+	{ 56,	4,	0,	0 },		/* pr_fileflags */
 	{ 60,	4,	0,	0 },		/* pr_fdflags */
-	{ 64,	1,	1024,	0 },		/* pr_path */
+	{ 64,	1,	1024,	0 },		/* pr_path[] */
 };
 
 
--- old/usr/src/cmd/sgs/elfdump/common/struct_layout_sparcv9.c	2014-05-02 17:45:51.812731927 -0400
+++ new/usr/src/cmd/sgs/elfdump/common/struct_layout_sparcv9.c	2014-05-02 17:45:51.851159336 -0400
@@ -371,9 +371,9 @@
 	{ 32,	8,	0,	0 },		/* pr_ino */
 	{ 40,	8,	0,	0 },		/* pr_offset */
 	{ 48,	8,	0,	0 },		/* pr_size */
-	{ 56,	4,	0,	0 },		/* pr_filefags */
+	{ 56,	4,	0,	0 },		/* pr_fileflags */
 	{ 60,	4,	0,	0 },		/* pr_fdflags */
-	{ 64,	1,	1024,	0 },		/* pr_path */
+	{ 64,	1,	1024,	0 },		/* pr_path[] */
 };
 
 
